Grafana is broken - Support for Elasticsearch versions after their end-of-life was removed

Infos:

  • Used Zammad version: 5.2
  • Used Zammad installation type: package

Expected behavior:

  • Grafana displaying datas

Actual behavior:

  • Showing this error:
    Support for Elasticsearch versions after their end-of-life (currently versions < 7.10) was removed.

Steps to reproduce the behavior:

  • Opening any Grafana Dashboard.

Has anyone experiencing the same issue?
Thanks!

1 Like

An update:

  • Grafana has a configuration page for every single datasource
  • Inside every datasource of Elastic search (eg. Elasticsearch-ticket) there is a panel called “Elasticsearch details” and a parameter called “ElasticSearch version”
  • In this place is specified a version of Elasticsearch.
  • While the Elasticsearch version on the server may change due to updates, this parameter seems to be static and need to be changed manually.
  • Once changed the problem is fixed.
1 Like